import request from '@/utils/request'

// 查询商品组合列表
export function listStoreProductGroup(query) {
  return request({
    url: '/store/store/storeProductGroup/list',
    method: 'get',
    params: query
  })
}

// 查询商品组合详细
export function getStoreProductGroup(groupId) {
  return request({
    url: '/store/store/storeProductGroup/' + groupId,
    method: 'get'
  })
}

// 新增商品组合
export function addStoreProductGroup(data) {
  return request({
    url: '/store/store/storeProductGroup',
    method: 'post',
    data: data
  })
}

// 修改商品组合
export function updateStoreProductGroup(data) {
  return request({
    url: '/store/store/storeProductGroup',
    method: 'put',
    data: data
  })
}

// 删除商品组合
export function delStoreProductGroup(groupId) {
  return request({
    url: '/store/store/storeProductGroup/' + groupId,
    method: 'delete'
  })
}

// 导出商品组合
export function exportStoreProductGroup(query) {
  return request({
    url: '/store/store/storeProductGroup/export',
    method: 'get',
    params: query
  })
}
